Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoSequentialOp< EOT > Class Template Reference

Sequential selection: note the mark, rewind, unmark cycle here operators are repeatedly applied on the same individual(s) not all too elegant, but it sort of works... More...

`#include <eoOpContainer.h>`

Inheritance diagram for eoSequentialOp< EOT >:

List of all members.

## Public Types
typedef unsigned | position_type
## Public Member Functions
void | apply (eoPopulator< EOT > &_pop)
| the function that will do the work
virtual std::string | className () const
## Private Attributes
std::vector< size_t > | to_apply
std::vector< size_t > | production

## Detailed Description

### template<class EOT>
class eoSequentialOp< EOT >

Sequential selection: note the mark, rewind, unmark cycle here operators are repeatedly applied on the same individual(s) not all too elegant, but it sort of works...

Definition at line 88 of file eoOpContainer.h.

The documentation for this class was generated from the following file:

- eoOpContainer.h